<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <script>
        var letrasDNI = ['T','R','W','A','G','M','Y','F','P','D','X','B','N','J','Z','S','Q','V','H','L','C','K','E'];

        function Comprobar(f){
            if(!/^\d{8}[TRWAGMYFPDXBNJZSQVHLCKE]$/.test(document.getElementById('nif').value)){
                document.getElementById("alert1").innerHTML = 'NIF no válido: no comple los requisitos indicados';
            } else if(!ComprobarDNI(document.getElementById('nif').value)){
                document.getElementById("alert1").innerHTML = 'NIF no válido: Número y letra no se corresponden';
            }
            else {
                envioAjax();
            }
        }

        function ComprobarDNI(dni){
            var cadena  = dni.substring(0,dni.length - 1);
            var letra = letrasDNI[(parseInt(cadena) % 23)];
            if(dni[dni.length - 1] == letra){
                return true;
            }
            else{
                return false;
            }
        }

        function envioAjax(){
            var xhr = new XMLHttpRequest();
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    alert('Datos guardados')
                }
            }
            xhr.open("POST", "grabar.php", true);
            xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
            xhr.send('nif=' + document.getElementById('nif').value + '&password=' + document.getElementById('password').value); 
        }

    </script>
</head>
<body>
    <h1>Login de Usuario</h1>
        NIF<input type="text" id="nif"><span id="alert1"></span> <br>
        Contraseña <input type="password" id="password"><span id="alert2"></span><br>
        <button onclick="Comprobar()">Enviar</button>
    </form>
</body>
</html>